Bug 1262109 - clicking 'stop' button for a test causes AttributeError
clicking 'stop' button for a test causes AttributeError
Product: Red Hat Certification Program
Classification: Red Hat
Component: redhat-certification (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Greg Nichols
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2015-09-10 16:10 EDT by Brian Brock
Modified: 2015-11-19 11:36 EST (History)
1 user (show)

See Also:
Fixed In Version: redhat-certification-2.0-20150911
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-11-19 11:36:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Brock 2015-09-10 16:10:05 EDT
when running a test, clicking the 'stop' button results in an AttributeError that is not handled.


no workaround yet

Steps to Reproduce:
1. install on a laptop system (with mandatory 'suspend' test)
2. create a certification with a host attached
3. run a test
4. click 'stop' to abort the suspend test (there's no other way to bypass it in the web ui).

Actual results:

Request Method: POST
Request URL: http://$LTS/interactive

Django Version: 1.8.4
Python Version: 2.7.5
Installed Applications:
Installed Middleware:

File "/usr/lib/python2.7/site-packages/django/core/handlers/base.py" in get_response
  132.                     response = wrapped_callback(request, *callback_args, **callback_kwargs)
File "/var/www/rhcert/application/views.py" in interactive
  108.     return Interactive().serve(request, "interactive.html")
File "/var/www/rhcert/wsgi/view.py" in serve
  40.         result = self.view(request)
File "/var/www/rhcert/wsgi/interactive.py" in view
  44.             errors = self.restartHost()

Exception Type: AttributeError at /interactive
Exception Value: 'Interactive' object has no attribute 'restartHost'

Expected results:
test stops, bypassing suspend test.

Additional info:
Comment 2 Greg Nichols 2015-09-11 08:20:53 EDT
Also, Re-labeling the button to "restart", because that's what it does.
Comment 4 Brian Brock 2015-09-16 17:31:21 EDT
verified in redhat-certification-2.0-20150916.el7

using the 'restart' button does not trigger a python error with backtrace.
Comment 6 errata-xmlrpc 2015-11-19 11:36:34 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.